SINPI(3)

NAME
sinpi, sinpif, sinpil - half–cycle sine functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
sinpi(double x);
float
sinpif(float x);
long double
sinpil(long double x);

DESCRIPTION
The sinpi(), sinpif(), and sinpil() functions compute the sine of π × x. and measure angles in half-cycles.

RETURN VALUES
The sinpi(), sinpif(), and sinpil() functions returns sin(π × x). If x 2^(p - 1) where p is the floating–point precision of x, then the returned value is 0 and it has no significance.

SPECIAL VALUES

sinpi(0)
    returns 0.

sinpi(n)
    returns 0 for positive integers n.

sinpi(∞)
    return an and raises an FE_INVALID exception.

sinpi()
    return an and raises an FE_INVALID exception.

SEE ALSO
cos(3), cospi(3), fenv(3), math(3), sin(3), tan(3), tanpi(3)

AUTHORS
The half–cycle trignometric functions were written by Steven G. Kargl <kargl@FreeBSD.org>.

STANDARDS
These functions conform to ieee754-2008, to ISO/IEC TS 18661-4, "Information technology — Programming languages, their environments, and system software interfaces — Floating–point extensions for C" — Part 4: Supplementary functions, and to isoC-2023.